/**
* ShowCaseStandalone
* Copyright (C) 2012 Kellerkindt <copyright at kellerkindt.com>
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program. If not, see <http://www.gnu.org/licenses/>.
*/
package com.kellerkindt.scs.commands;

import org.bukkit.command.CommandSender;

import com.kellerkindt.scs.Properties;
import com.kellerkindt.scs.ShowCaseStandalone;
import com.kellerkindt.scs.exceptions.InsufficientPermissionException;
import com.kellerkindt.scs.exceptions.MissingOrIncorrectArgumentException;
import com.kellerkindt.scs.utilities.Messaging;
import com.kellerkindt.scs.utilities.Term;

public class VersionCmd extends GenericCmd {
	
	public VersionCmd (ShowCaseStandalone scs, CommandSender cs, String args[]){
        super(scs, cs, args);
        this.mustBePlayer	= false;
        this.permission 	= Properties.permUse;
    }

	@Override
	public boolean execute() throws MissingOrIncorrectArgumentException, InsufficientPermissionException {
		if (errorCheck())
			return true;
		
//		Messaging.send(cs, Term.MESSAGE_VERSION.get(""+Properties.build, Properties.buildDate, Properties.buildAuthor, Properties.buildContributor));
		
		Messaging.send(cs, Term.MESSAGE_VERSION_1.get());
		Messaging.send(cs, Term.MESSAGE_VERSION_2.get(Properties.buildNumber+""));
		Messaging.send(cs, Term.MESSAGE_VERSION_3.get(Properties.buildDate));
		Messaging.send(cs, Term.MESSAGE_VERSION_4.get(Properties.buildAuthor));
		Messaging.send(cs, Term.MESSAGE_VERSION_5.get(Properties.buildContributor));
		
		if (cs.isPermissionSet(Properties.permAdmin) && Properties.buildIsDev) {
			Messaging.send(cs, Term.WARNING_DEV_VERSION.get());
		}
		
		return true;
	}

}